Subject: Re: linux-next: build warning after merge of the ftrace tree

From: Steven Rostedt <[email-masked]>
Date: Wed, 4 Jun 2014 12:26:12 -0400

On Wed, 4 Jun 2014 16:09:21 +1000
Stephen Rothwell <[email-masked]> wrote:

> Hi Steven,
> 
> After merging the ftrace tree, today's linux-next build (x86_64 allmodconfig)
> produced this warning:
> 
> kernel/trace/trace_benchmark.c: In function 'trace_do_benchmark':
> kernel/trace/trace_benchmark.c:38:6: warning: unused variable 'seedsq' [-Wunused-variable]
>   u64 seedsq;
>       ^
> 
> Introduced by commit 81dc9f0ef21e ("tracing: Add tracepoint benchmark tracepoint").

Hmm, I don't know why my tests missed this. I do a allmodconfig looking
for new warning messages too. Oh, but I do need to add this config to my
regular testing config :-/

I'm surprised Wu's bot didn't report it either.

I'm not going to rebase, but I'll add a patch to nuke it.

Thanks!

-- Steve